Topics and Keywords

Keywords are not case sensitive and are interchangable within their topic type. The plural forms denote list topics where every item in its definition lists are treated like they have their own topic.

General Topics

Generic

topic | topics
about | list

Section
Ends Scope

section |
title |

Group

group |

File
Always Global

file | files
program | programs
script | scripts
document | documents
doc | docs
header | headers

Code Topics

Class
Starts Scope

class | classes
structure | structures
struct | structs
package | packages
namespace | namespaces

Interface
Starts Scope

interface | interfaces

Type

type | types
typedef | typedefs

Constant

constant | constants
const | consts

Enumeration
Topic indexed under Types
Members indexed under Constants

enumeration | enumerations
enum | enums

Function
List topics break apart

function | functions
func | funcs
procedure | procedures
proc | procs
routine | routines
subroutine | subroutines
sub | subs
method | methods
callback | callbacks
constructor | constructors
destructor | destructors
operator | operators

Property

property | properties
prop | props

Event

event | events

Delegate

delegate | delegates

Macro

macro | macros
define | defines
def | defs

Variable

variable | variables
var | vars
integer | integers
int | ints
uint | uints
long | longs
ulong | ulongs
short | shorts
ushort | ushorts
byte | bytes
ubyte | ubytes
sbyte | sbytes
float | floats
double | doubles
real | reals
decimal | decimals
scalar | scalars
array | arrays
arrayref | arrayrefs
hash | hashes
hashref | hashrefs
bool | bools
boolean | booleans
flag | flags
bit | bits
bitfield | bitfields
field | fields
pointer | pointers
ptr | ptrs
reference | references
ref | refs
object | objects
obj | objs
character | characters
wcharacter | wcharacters
char | chars
wchar | wchars
string | strings
wstring | wstrings
str | strs
wstr | wstrs
handle | handles

Database Topics

Database

database | databases
db | dbs

Database Table
Starts Scope

table | tables
database table | database tables
db table | db tables

Database View
Starts Scope

view | views
database view | database views
db view | db views

Database Cursor

cursor | cursors
database cursor | database cursors
db cursor | db cursors

Database Index

index | indexes
| indices
database index | database indexes
| database indices
db index | db indexes
| db indices
key | keys
database key | database keys
db key | db keys
primary key | primary keys
database primary key | database primary keys
db primary key | db primary keys

Database Trigger

trigger | triggers
database trigger | database triggers
db trigger | db triggers

Miscellaneous Topics

Cookie
Always global

cookie | cookies

Build Target

target | targets
build target | build targets

| Copyright © 2003-2010 Greg Valure